Entur Developer
Products

fulfilment-methods

Server

Retrieves all fulfilment methods

GET
https://api.entur.io/products
/fulfilment-methods

Retrieves all fulfilment methods › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify an organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify a dataset to an organisation

minimizeDataLoad
​boolean · style: form · explode: true

Retrieves all fulfilment methods › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all fulfilment methods › Responses

Returns the info

changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description represented in different languages. Language codes are ISO-639

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FulfilmentMethod:TicketOffice
​TextInLanguage[] · required

The name of the fulfilment method represented in different languages. Language codes are ISO-639

​FarePrice[] · required

Prices for the fulfilment method.

status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
​VersionOfObjectRef[] · required

Reference to TYPEs OF TRAVEL DOCUMENT allowed by method.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
fulfilmentMethodType
​string · enum

Type of fulfilment method.

Enum values:
TICKET_OFFICE
TICKET_MACHINE
CONDUCTOR
AGENT
POST
SELFPRINT
SMS
TOP_UP_DEVICE
modification
​string · enum · readOnly

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly

Name of class.

Example: FulfilmentMethod
requiresBookingReference
​boolean

Whether collecting ticket requires booking reference.

requiresCard
​boolean

Whether collecting ticket requires credit card used to purchase.


Create a FulfilmentMethod

POST
https://api.entur.io/products
/fulfilment-methods

Create a FulfilmentMethod › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a FulfilmentMethod › Request Body

changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description represented in different languages. Language codes are ISO-639

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FulfilmentMethod:TicketOffice
​TextInLanguage[] · required

The name of the fulfilment method represented in different languages. Language codes are ISO-639

​FarePrice[] · required

Prices for the fulfilment method.

status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
​VersionOfObjectRef[] · required

Reference to TYPEs OF TRAVEL DOCUMENT allowed by method.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
fulfilmentMethodType
​string · enum

Type of fulfilment method.

Enum values:
TICKET_OFFICE
TICKET_MACHINE
CONDUCTOR
AGENT
POST
SELFPRINT
SMS
TOP_UP_DEVICE
modification
​string · enum · readOnly

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly

Name of class.

Example: FulfilmentMethod
requiresBookingReference
​boolean

Whether collecting ticket requires booking reference.

requiresCard
​boolean

Whether collecting ticket requires credit card used to purchase.

Create a FulfilmentMethod › Responses

Entity created successfully

No data returned

Retrieves fulfilment method for id and version

GET
https://api.entur.io/products
/fulfilment-methods/{id}/{version}

Retrieves fulfilment method for id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a FulfilmentMethod

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the FulfilmentMethod

Retrieves fulfilment method for id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves fulfilment method for id and version › Responses

Returns the info

changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description represented in different languages. Language codes are ISO-639

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FulfilmentMethod:TicketOffice
​TextInLanguage[] · required

The name of the fulfilment method represented in different languages. Language codes are ISO-639

​FarePrice[] · required

Prices for the fulfilment method.

status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
​VersionOfObjectRef[] · required

Reference to TYPEs OF TRAVEL DOCUMENT allowed by method.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
fulfilmentMethodType
​string · enum

Type of fulfilment method.

Enum values:
TICKET_OFFICE
TICKET_MACHINE
CONDUCTOR
AGENT
POST
SELFPRINT
SMS
TOP_UP_DEVICE
modification
​string · enum · readOnly

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly

Name of class.

Example: FulfilmentMethod
requiresBookingReference
​boolean

Whether collecting ticket requires booking reference.

requiresCard
​boolean

Whether collecting ticket requires credit card used to purchase.


Updates an existing FulfilmentMethod

PUT
https://api.entur.io/products
/fulfilment-methods/{id}/{version}

Updates an existing FulfilmentMethod › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a FulfilmentMethod

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the FulfilmentMethod

Updates an existing FulfilmentMethod › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Updates an existing FulfilmentMethod › Request Body

changed
​string · readOnly · required

Changed datetime.

created
​string · readOnly · required

Created datetime.

​TextInLanguage[] · required

Description represented in different languages. Language codes are ISO-639

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:FulfilmentMethod:TicketOffice
​TextInLanguage[] · required

The name of the fulfilment method represented in different languages. Language codes are ISO-639

​FarePrice[] · required

Prices for the fulfilment method.

status
​string · enum · readOnly · required

Status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
​VersionOfObjectRef[] · required

Reference to TYPEs OF TRAVEL DOCUMENT allowed by method.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Version.

Example: NSB:Version:V1
fulfilmentMethodType
​string · enum

Type of fulfilment method.

Enum values:
TICKET_OFFICE
TICKET_MACHINE
CONDUCTOR
AGENT
POST
SELFPRINT
SMS
TOP_UP_DEVICE
modification
​string · enum · readOnly

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · readOnly

Name of class.

Example: FulfilmentMethod
requiresBookingReference
​boolean

Whether collecting ticket requires booking reference.

requiresCard
​boolean

Whether collecting ticket requires credit card used to purchase.

Updates an existing FulfilmentMethod › Responses

Entity updated successfully

No data returned

Deletes a FulfilmentMethod by id and version

DELETE
https://api.entur.io/products
/fulfilment-methods/{id}/{version}

Deletes a FulfilmentMethod by id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id to identify a FulfilmentMethod

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the FulfilmentMethod

Deletes a FulfilmentMethod by id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deletes a FulfilmentMethod by id and version › Responses

The resource was deleted


Did you find what you were looking for?